part of 'table_widget.dart';

typedef TableLoadFn<M> = Future<List<M>> Function(int page, int pageSize);

class TableController<M extends Object> {
  final TableLoadFn<M> loadFn;

  TableController({
    required this.loadFn,
  });

  late TableDataSource dataSource;

  Future<void> reload() async {
    return dataSource.reset();
  }

  Future<void> reloadCurrentPage() async {
    return dataSource.reset(keepOffset: true);
  }
}
